package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelInfo;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelVersion;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Options;

public interface ModelMapper {

    /**
     * 插入模型基本信息
     * @param modelInfo
     */
    @Options(useGeneratedKeys = true, keyProperty = "id")   //能够拿到主键值，并设置给modelInfo对象
    @Insert("insert into model_info(model_name) values(#{modelName})")
    void insertModelInfo(ModelInfo modelInfo);

    /**
     * 插入模型版本信息
     * @param modelVersion
     */
    void insertModelVersion(ModelVersion modelVersion);

}
