package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModelDTO {
    private Long id;            // 模型id
    private String modelName;   // 模型名称
    private Integer datasetId;      // 数据集id
    private Integer modelSize;   // 模型大小
    private String dataPreHandleFile;      // 数据预处理文件存储路

    private String version;   //模型版本
}
